Package de.willuhn.jameica.hbci.gui.controller

# Class UmsatzTypTreeControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.UmsatzTypTreeControl

public class UmsatzTypTreeControl extends de.willuhn.jameica.gui.AbstractControl
Controller fuer die Umsatz-Kategorien-Auswertung

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`UmsatzTypTreeControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.swt.widgets.Listener`
`changedListener(de.willuhn.jameica.gui.input.Input input)`
Erzeugt einen Listener, der das Event nur dann weiterleitet, wenn an der Auswahl etwas geaendert wurde.
`UmsatzTypVerlauf`
`getChart()`
Liefert die Chart-Ansicht der Kategorien.
`de.willuhn.jameica.gui.input.Input`
`getEnd()`
Liefert ein Auswahl-Feld fuer das End-Datum.
`de.willuhn.jameica.gui.input.Input`
`getKontoAuswahl()`
Liefert eine Auswahlbox fuer das Konto.
`RangeInput`
`getRange()`
Liefert eine Auswahl mit Zeit-Presets.
`de.willuhn.jameica.gui.input.Input`
`getStart()`
Liefert ein Auswahl-Feld fuer das Start-Datum.
`de.willuhn.jameica.gui.input.TextInput`
`getText()`
Liefert ein Eingabefeld fuer einen Suchbegriff.
`de.willuhn.jameica.gui.parts.TreePart`
`getTree()`
Liefert einen Baum von Umsatzkategorien mit den Umsaetzen.
`UmsatzTree`
`getUmsatzTree()`
Liefert ein Container-Objekt zum Export des Umsatz-Tree samt Metadaten.
`void`
`handleExpand()`
Klappt alle Elemente auf oder zu.
`void`
`handleRefreshChart()`
Aktualisiert den Chart.
`void`
`handleReload()`
Aktualisiert den Tree.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzTypTreeControl

public UmsatzTypTreeControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### changedListener

public org.eclipse.swt.widgets.Listener changedListener(de.willuhn.jameica.gui.input.Input input)
Erzeugt einen Listener, der das Event nur dann weiterleitet, wenn an der Auswahl etwas geaendert wurde.

Parameters:
  `input` - das Input-Feld, welches ueberwacht werden soll.
Returns:
  der Listener.

### getKontoAuswahl

public de.willuhn.jameica.gui.input.Input getKontoAuswahl() throws RemoteException
Liefert eine Auswahlbox fuer das Konto.

Returns:
  Auswahlbox.
Throws:
  `RemoteException`

### getText

public de.willuhn.jameica.gui.input.TextInput getText()
Liefert ein Eingabefeld fuer einen Suchbegriff.

Returns:
  Eingabefeld fuer einen Suchbegriff.

### getRange

public RangeInput getRange()
Liefert eine Auswahl mit Zeit-Presets.

Returns:
  eine Auswahl mit Zeit-Presets.

### getStart

public de.willuhn.jameica.gui.input.Input getStart()
Liefert ein Auswahl-Feld fuer das Start-Datum.

Returns:
  Auswahl-Feld.

### getEnd

public de.willuhn.jameica.gui.input.Input getEnd()
Liefert ein Auswahl-Feld fuer das End-Datum.

Returns:
  Auswahl-Feld.

### getUmsatzTree

public UmsatzTree getUmsatzTree() throws RemoteException
Liefert ein Container-Objekt zum Export des Umsatz-Tree samt Metadaten.

Returns:
  Umsatztree.
Throws:
  `RemoteException`

### getTree

public de.willuhn.jameica.gui.parts.TreePart getTree() throws RemoteException
Liefert einen Baum von Umsatzkategorien mit den Umsaetzen.

Returns:
  Baum mit Umsatz-Kategorien.
Throws:
  `RemoteException`

### getChart

public UmsatzTypVerlauf getChart() throws RemoteException
Liefert die Chart-Ansicht der Kategorien.

Returns:
  die Chart-Ansicht.
Throws:
  `RemoteException`

### handleExpand

public void handleExpand()
Klappt alle Elemente auf oder zu.

### handleReload

public void handleReload()
Aktualisiert den Tree.

### handleRefreshChart

public void handleRefreshChart()
Aktualisiert den Chart.